{
    "id": "jojo.app.hbcpre",
    "name": "Hbcpre应用订阅",
    "description": "关于Hbcpre应用脚本订阅集合",
    "author": "@JoJo",
    "icon": "https://avatars.githubusercontent.com/u/16010188",
    "repo": "http://git.jojo21.top/shawenguan/Quantumult-X",
    "apps": [
        {
            "id": "jojo.hbcpreHelper",
            "name": "华文数交助手",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreHelper.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreHelper.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "scripts": [
                {
                    "name": "极速下单",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreOrder.js"
                },
                {
                    "name": "首发抢购",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreGrab.js"
                },
                {
                    "name": "合成活动",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreComposite.js"
                },
                {
                    "name": "上新兑换",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreExchange.js"
                },
                {
                    "name": "限时抽奖",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreDraw.js"
                }
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreCollectionClassList"
            ],
            "settings": [
                {
                    "id": "HbcpreOrderItemDataGrabEnabled",
                    "name": "开启/关闭下单采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreHomeSeriesDataGrabEnabled",
                    "name": "开启/关闭首发采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreDrawItemDataGrabEnabled",
                    "name": "开启/关闭抽奖采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreCompositeItemDataGrabEnabled",
                    "name": "开启/关闭合成采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreExchangeItemDataGrabEnabled",
                    "name": "开启/关闭兑换采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreBrowserOpenUrl",
                    "name": "代理浏览器地址URL",
                    "val": "http://127.0.0.1:5000/proxy",
                    "type": "text",
                    "placeholder": "",
                    "desc": "代理浏览器地址URL"
                },
                {
                    "id": "HbcpreUserToken",
                    "name": "用户Token",
                    "val": "",
                    "type": "text",
                    "placeholder": "",
                    "desc": "授权token"
                },
                {
                    "id": "HbcpreUserInfo",
                    "name": "用户信息",
                    "val": "",
                    "type": "textarea",
                    "placeholder": "",
                    "desc": "授权token"
                },
                {
                    "id": "HbcpreCollectionClassList",
                    "name": "产品列表",
                    "val": "[]",
                    "type": "textarea",
                    "autoGrow": true,
                    "placeholder": "",
                    "desc": "产品列表"
                },
                {
                    "id": "HbcpreMyOwnSeriesCntFakeData",
                    "name": "拥有的产品数量自定义",
                    "val": "",
                    "type": "text",
                    "desc": "拥有的产品数量自定义，格式：id#num|id#num"
                },
                {
                    "id": "HbcpreOpeningTimeOffset",
                    "name": "上新产品时间偏移(ms)",
                    "val": 60000,
                    "type": "number",
                    "desc": "上新产品时间向前偏移"
                }
            ]
        },
        {
            "id": "jojo.hbcpreOrder",
            "name": "华文数交下单",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreOrder.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreOrder.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreCollectionClassList"
            ],
            "settings": [
                {
                    "id": "HbcpreOrderItemDataGrabEnabled",
                    "name": "开启/关闭下单采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreCollectionWatchLocked",
                    "name": "开启/关闭锁定监控产品",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreOrderFastModeEnabled",
                    "name": "开启/关闭下单快捷模式",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "HbcpreMarketOrderAutoPayPriceLimit",
                    "name": "低于价格钱包余额自动支付",
                    "val": 100,
                    "type": "number",
                    "desc": "低于价格钱包余额自动支付"
                },
                {
                    "id": "HbcpreCastingId",
                    "name": "当前下单监控Id",
                    "val": "",
                    "type": "text",
                    "desc": "当前下单监控Id"
                },
                {
                    "id": "HbcpreCollectionName",
                    "name": "当前下单监控名称",
                    "val": "",
                    "type": "text",
                    "desc": "当前下单监控名称"
                },
                {
                    "id": "HbcpreOrderLimitPrice",
                    "name": "捡漏最高价格",
                    "val": 0,
                    "type": "number",
                    "desc": "捡漏最高价格"
                },
                {
                    "id": "HbcpreFloatPriceIntaval",
                    "name": "价格浮动限制",
                    "val": 10,
                    "type": "number",
                    "desc": "价格浮动限制，当浏览刷新的最低价格跟预设价格差值大于此值则修正为最低价"
                },
                {
                    "id": "HbcpreCollectionClassList",
                    "name": "产品列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "产品列表"
                }
            ]
        },
        {
            "id": "jojo.hbcpreHomeGrab",
            "name": "华文数交首发",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreGrab.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreGrab.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreHomeSeriesList"
            ],
            "settings": [
                {
                    "id": "HbcpreHomeSeriesDataGrabEnabled",
                    "name": "开启/关闭首发采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreHomeSeriesCacheModeEnabled",
                    "name": "开启/关闭缓存模式",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "HbcpreHomeSeriesRapidFrequencyCount",
                    "name": "1秒频率次数",
                    "val": 2,
                    "type": "number",
                    "desc": "1秒频率次数"
                },
                {
                    "id": "HbcpreHomeSeriesId",
                    "name": "当前首发抢购Id",
                    "val": "",
                    "type": "text",
                    "desc": "当前首发抢购Id"
                },
                {
                    "id": "HbcpreHomeSeriesName",
                    "name": "当前首发抢购名称",
                    "val": "",
                    "type": "text",
                    "desc": "当前首发抢购名称"
                },
                {
                    "id": "HbcpreHomeSeriesLimitBuy",
                    "name": "一个ID限制下单数量",
                    "val": 0,
                    "type": "number",
                    "desc": "一个ID限制下单数量"
                },
                {
                    "id": "HbcpreHomeSeriesList",
                    "name": "产品列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "产品列表"
                }
            ]
        },
        {
            "id": "jojo.hbcpreComposite",
            "name": "华文数交合成",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreComposite.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreComposite.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreCompositeActivityData"
            ],
            "settings": [
                {
                    "id": "HbcpreCompositeItemDataGrabEnabled",
                    "name": "开启/关闭合成采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreCompositeOnlyUseCache",
                    "name": "仅用缓存数据来匹配",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreCompositeActivityTaskMode",
                    "name": "当前合成任务模式",
                    "val": "1",
                    "type": "selects",
                    "desc": "",
                    "items": [
                        {
                            "key": "1",
                            "label": "模式1"
                        },
                        {
                            "key": "2",
                            "label": "模式2"
                        }
                    ]
                },
                {
                    "id": "HbcpreCompositeRapidFrequencyCount",
                    "name": "1秒频率次数",
                    "val": 2,
                    "type": "number",
                    "desc": "1秒频率次数"
                },
                {
                    "id": "HbcpreCompositeActivityId",
                    "name": "当前合成Id",
                    "val": "",
                    "type": "text",
                    "desc": "当前合成Id"
                },
                {
                    "id": "HbcpreCompositeActivityName",
                    "name": "当前合成名称",
                    "val": "",
                    "type": "text",
                    "desc": "当前合成名称"
                },
                {
                    "id": "HbcpreCompositeEntryTitleList",
                    "name": "合成功能入口名称选择(模式2)",
                    "val": "",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "合成活动",
                            "label": "合成活动"
                        },
                        {
                            "key": "限量合成",
                            "label": "限量合成"
                        },
                        {
                            "key": "好运合成",
                            "label": "好运合成"
                        }
                    ]
                },
                {
                    "id": "HbcpreCompositeEntryTitleCustom",
                    "name": "合成功能入口名称自定义(模式2)",
                    "val": "",
                    "type": "text",
                    "desc": "合成功能入口名称自定义(模式2)"
                },
                {
                    "id": "HbcpreCompositeActivityData",
                    "name": "活动列表",
                    "val": "{}",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "活动列表"
                }
            ]
        },
        {
            "id": "jojo.hbcpreExchange",
            "name": "华文数交兑换",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreExchange.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreExchange.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreExchangeActivityData"
            ],
            "settings": [
                {
                    "id": "HbcpreExchangeItemDataGrabEnabled",
                    "name": "开启/关闭兑换采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreExchangeOnlyUseCache",
                    "name": "仅用缓存数据来匹配",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreExchangeActivityTaskMode",
                    "name": "当前兑换任务模式",
                    "val": "1",
                    "type": "selects",
                    "desc": "",
                    "items": [
                        {
                            "key": "1",
                            "label": "模式1"
                        },
                        {
                            "key": "2",
                            "label": "模式2"
                        }
                    ]
                },
                {
                    "id": "HbcpreExchangeRapidFrequencyCount",
                    "name": "1秒频率次数",
                    "val": 2,
                    "type": "number",
                    "desc": "1秒频率次数"
                },
                {
                    "id": "HbcpreExchangeActivityId",
                    "name": "当前兑换Id",
                    "val": "",
                    "type": "text",
                    "desc": "当前兑换Id"
                },
                {
                    "id": "HbcpreExchangeActivityName",
                    "name": "当前兑换名称",
                    "val": "",
                    "type": "text",
                    "desc": "当前兑换名称"
                },
                {
                    "id": "HbcpreExchangeEntryTitleList",
                    "name": "兑换功能入口名称选择(模式2)",
                    "val": "",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "上新兑换",
                            "label": "上新兑换"
                        }
                    ]
                },
                {
                    "id": "HbcpreCompositeEntryTitleCustom",
                    "name": "兑换功能入口名称自定义(模式2)",
                    "val": "",
                    "type": "text",
                    "desc": "兑换功能入口名称自定义(模式2)"
                },
                {
                    "id": "HbcpreExchangeActivityData",
                    "name": "活动列表",
                    "val": "{}",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "活动列表"
                }
            ]
        },
        {
            "id": "jojo.hbcpreDraw",
            "name": "华文数交抽奖",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreDraw.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/hbcpre/hbcpreDraw.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/hbcpre.png"
            ],
            "keys": [
                "HbcpreUserToken",
                "HbcpreUserInfo",
                "HbcpreDrawActivityData",
                "HbcpreDrawActivityCostSeriesList"
            ],
            "settings": [
                {
                    "id": "HbcpreDrawItemDataGrabEnabled",
                    "name": "开启/关闭抽奖采集",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "HbcpreDrawActivityId",
                    "name": "当前抽奖Id",
                    "val": "",
                    "type": "text",
                    "desc": "当前抽奖Id"
                },
                {
                    "id": "HbcpreDrawActivityName",
                    "name": "当前抽奖名称",
                    "val": "",
                    "type": "text",
                    "desc": "当前抽奖名称"
                },
                {
                    "id": "HbcpreDrawActivityRunCount",
                    "name": "当前抽奖此次",
                    "val": 1,
                    "type": "number",
                    "desc": "当前抽奖此次"
                },
                {
                    "id": "HbcpreDrawActivityData",
                    "name": "活动列表",
                    "val": "{}",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "活动列表"
                },
                {
                    "id": "HbcpreDrawActivityCostSeriesList",
                    "name": "消耗数据",
                    "val": "{}",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "消耗数据"
                }
            ]
        }
    ]
}